%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	23.5.0
Release:	%mkrel 1
Group:		Development/Python
License:	Python
URL:		https://pypi.python.org/pypi/keyring
Source0:	https://pypi.io/packages/source/k/keyring/%{fname}-%{version}.tar.xz
BuildArch:	noarch

%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-keyring
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
Requires:	python3-gobject3
Requires:   python3-importlib-metadata
Requires:   python3-zipp
%{?python_provide:%python_provide python3-keyring}

%description -n python3-keyring
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -n %{fname}-%{version}

# drop bundled egg-info
rm -rf %{fname}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

# we don't ship tests they need a test environment
rm -rf %{buildroot}%{python3_sitelib}/%{fname}/tests/

%files -n python3-keyring
%doc LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{_bindir}/keyring


%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 23.5.0-1pclos2022
- update rebuild for python 3.10

* Fri Jan 31 2020 tex - 21.0.0-1pclos2020
- update
